Bug 493973 - (CVE-2009-1210) CVE-2009-1210 wireshark: format string in PROFINET dissector
CVE-2009-1210 wireshark: format string in PROFINET dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
source=cve,reported=20090401,public=2...
: Security
Depends On: 501947 501948 501949 501950 501951 833991
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 10:54 EDT by Tomas Hoger
Modified: 2012-06-20 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 02:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (450 bytes, application/octet-stream)
2009-04-03 10:59 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2009-04-03 10:54:47 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1210 to the following vulnerability:

Format string vulnerability in the PROFINET/DCP (PN-DCP) dissector in Wireshark
1.0.6 and earlier allows remote attackers to execute arbitrary code via a
PN-DCP packet with format string specifiers in the station name. NOTE: some of
these details are obtained from third party information. 

References:
http://www.milw0rm.com/exploits/8308
http://www.securityfocus.com/bid/34291
http://secunia.com/advisories/34542
http://xforce.iss.net/xforce/xfdb/49512
Comment 1 Tomas Hoger 2009-04-03 10:59:03 EDT
Upstream bug report:
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3382

Upstream SVN commit, fixing multiple format string flaws across wireshark sources:
  trunk: http://anonsvn.wireshark.org/viewvc?view=rev&revision=26652
  trunk-1.0: http://anonsvn.wireshark.org/viewvc?view=rev&revision=27926

Fix should be included in upstream 1.0.7.

Format string demonstrated by the published profinet PoC is caught by fortify source on Red Hat Enterprise Linux 5 and later, reducing impact of the flaw to non-exploitable crash.
Comment 2 Tomas Hoger 2009-04-03 10:59:45 EDT
Created attachment 338058 [details]
Reproducer

Source: http://www.milw0rm.com/exploits/8308
Comment 3 Fedora Update System 2009-05-15 19:29:16 EDT
wireshark-1.0.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-05-25 17:15:36 EDT
wireshark-1.0.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Tomas Hoger 2009-05-28 03:27:28 EDT
Work-around:

Disable affected Profinet dissectors.  This can be done via GUI - Analyze -> Enabled Protocols... and disable all Profinet dissectors (PN-*).

Alternatively, you can list Profinet dissectors in local (~/.wireshark/disabled_protos) or global (/usr/share/wireshark/disabled_protos) disabled_protos configuration file, read by both GNOME Wireshark GUI and text-only tshark:

pn_dcp
pn_mrp
pn_mrrt
pn_ptcp
pn_rt

Refer to Wireshark documentation regarding further details about configuration file format.
Comment 7 errata-xmlrpc 2009-06-15 16:40:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1100 https://rhn.redhat.com/errata/RHSA-2009-1100.html

Note You need to log in before you can comment on or make changes to this bug.